新手问题 [已解决] Rails 安装问题

mine4ever · 2015年09月09日 · 最后由 mr_night 回复于 2015年09月14日 · 2121 次阅读

win7 下 通过 gem 安装 rails 遇到下面问题 :

该怎么解决啊?

改用 linux 了

共收到 19 条回复

我猜楼下会继续有人说不要在 windows 上安装 rails。的确是这样,如果只是尝试玩玩 ruby 和 rails,这里有个帖子,希望有帮助 http://railsgirlschina.org/topics/63#1

坐等在 windows 上玩 rails 的给你解答问题

#2 楼 @liwei78 谢谢啦,你们都是用 linux 或者 mac 吗

#4 楼 @mine4ever 我公司同事都是 windows+virtualbox+vagrant,也有双系统 win+ubuntu,我个人是 mac。

#1 楼 @smallx 只回复 “呵呵” 是很不友好的。

#6 楼 @rei 我觉得你的重点应该回复楼主。 我的"呵呵"你可以无视。

#7 楼 @smallx 我作为管理员有义务处理不适当的发言。第一次警告,第二次封号。

#2 楼 @liwei78 😄

楼主请不要浪费你的时间和大家的时间,用 Linux / Mac OS X

#9 楼 @huacnlee 我在 linux 上试试吧

#8 楼 @rei ruby 社区果然对菜鸟最友好。

这位码友推荐了 railsinstaller+taobao 组合。ruby -v 看一下版本吧。

https://ruby-china.org/topics/27242

win7 32 位 +ruby 2.2.1p85+taobao+rails 表示毫无安装压力!

@smallx , 你这个圣剑标志让我感觉很温暖, 第一次我在 ruby 社区定位了dota同好者. 但是呵呵确实是不太合适的.

#16 楼 @mr_night 我安装的 ruby 2.2 ,ruby 可以安装但是通过 gem install rails 安装 rails 的时候报错,用的是淘宝的镜像。我看这个网站上也是安装完 ruby 通过 gem 安装 rails 啊

还是不要再 windows 上吧,楼主

#17 楼 @mine4ever 因为本站教程默认你在 linux 活着 MAC 下安装。。。。如果在 win 下想要 gem install rails ,需要额外的工具,比如 Devkit 之类的来编译一些 gem,比如巨难安装的 mysql2 之类,所以如果楼主坚持 win 下安装,还是老老实实去下个 railsinstaller 直接一键安装来的实在。现在的 rails 已经不是当年 2.3 时代那么好安装了。

需要 登录 后方可回复, 如果你还没有账号请点击这里 注册